# This 'service' job is just a simple nginx container that lives here as a kind of sanity check
# PORT: 8000
# DNS : sanity.nigel.local
job "health" {
    type = "service"

    group "health" {
        count = 1
        network {
            port "http" {
                static = 8000
                to = 80
            }
        }

        service {
            name = "health-svc"
            port = "http"
            provider = "nomad"
        }

        task "health-setup" {
            driver = "docker"

            config {
                image = "nginx:latest"
                ports = [ "http" ]
            }
        }
    }
}